Skip to navigation

Create the listing of an app

Beta

Creates the App Store listing of an app that belongs to your organization. Use it once per app, before you edit the listing. The listing starts empty and unpublished. Returns the listing.

Token scopes: apps:write

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-02-18.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

app_idstringRequiredformat: "uuid"
Unique identifier of the app.

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Request

This endpoint expects an object.
dataobjectRequired
The listing to create.

Response

The new listing.
dataobject
The App Store listing of an app.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error